Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.soyc.coderef
Class ClassDescriptor

    java.lang.Object
      com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
          com.google.gwt.core.ext.soyc.coderef.ClassDescriptor

    public class ClassDescriptor

extends EntityDescriptor

A succinct code representation for classes.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`EntityDescriptor.Fragment`

Field Summary

Fields inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`fragments, name, obfuscatedNames`

Constructor Summary
`ClassDescriptor(java.lang.String className, java.lang.String packageName)`

Method Summary
`void` | `addField(FieldDescriptor fieldDescriptor)`
`void` | `addMethod(MethodDescriptor methodDescriptor)`
`FieldDescriptor` | `fieldFrom(com.google.gwt.dev.jjs.ast.JField field)` Returns a field descriptor from a JField.
`static ClassDescriptor` | `from(com.google.gwt.dev.jjs.ast.JDeclaredType classType)` Creates a class descriptor from a JDeclaredType.
`FieldDescriptor` | `getField(java.lang.String fieldName)` Returns the field descriptor associated to the given field name.
`java.util.Collection<FieldDescriptor>` | `getFields()`
`java.lang.String` | `getFullName()` Returns the full qualified name.
`MethodDescriptor` | `getMethod(java.lang.String methodSignature)` Returns the method descriptor associated to the given original method signature.
`java.util.Collection<MethodDescriptor>` | `getMethods()`
`java.lang.String` | `getPackageName()`
`com.google.gwt.dev.jjs.ast.JDeclaredType` | `getTypeReference()`
`MethodDescriptor` | `methodFrom(com.google.gwt.dev.jjs.ast.JMethod method, java.lang.String signature)` Returns a method descriptor from a JMethod and its original signature (prior any modifications).

Methods inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`addFragment, addObfuscatedName, getFragments, getName, getObfuscatedNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassDescriptor

    public ClassDescriptor(java.lang.String className,
                           java.lang.String packageName)

Method Detail

### from

    public static ClassDescriptor from(com.google.gwt.dev.jjs.ast.JDeclaredType classType)

  Creates a class descriptor from a JDeclaredType.

### addField

    public void addField(FieldDescriptor fieldDescriptor)

### addMethod

    public void addMethod(MethodDescriptor methodDescriptor)

### fieldFrom

    public FieldDescriptor fieldFrom(com.google.gwt.dev.jjs.ast.JField field)

  Returns a field descriptor from a JField. If the field descriptor is not in the current class descriptor, it will be added.

### getField

    public FieldDescriptor getField(java.lang.String fieldName)

  Returns the field descriptor associated to the given field name.

### getFields

    public java.util.Collection<FieldDescriptor> getFields()

### getFullName

    public java.lang.String getFullName()

  Description copied from class: `EntityDescriptor`
  Returns the full qualified name.

  Specified by:
    `getFullName` in class `EntityDescriptor`

### getMethod

    public MethodDescriptor getMethod(java.lang.String methodSignature)

  Returns the method descriptor associated to the given original method signature.

### getMethods

    public java.util.Collection<MethodDescriptor> getMethods()

### getPackageName

    public java.lang.String getPackageName()

### getTypeReference

    public com.google.gwt.dev.jjs.ast.JDeclaredType getTypeReference()

### methodFrom

    public MethodDescriptor methodFrom(com.google.gwt.dev.jjs.ast.JMethod method,
                                       java.lang.String signature)

  Returns a method descriptor from a JMethod and its original signature (prior any modifications). If the method descriptor is not in the current class descriptor, it will be added.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD